Package org.silverpeas.mobile.shared.dto.documents

## Class PublicationDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.BaseDTO
  - - org.silverpeas.mobile.shared.dto.documents.PublicationDTO

- All Implemented Interfaces:
    `Serializable`, `Comparable<PublicationDTO>`

      public class PublicationDTO
      extends BaseDTO
      implements Serializable, Comparable<PublicationDTO>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PublicationDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(PublicationDTO o)` |
    `int` | `getCommentsNumber()` |
    `boolean` | `getContent()` |
    `String` | `getCreationDate()` |
    `String` | `getCreator()` |
    `String` | `getDescription()` |
    `String` | `getInstanceId()` |
    `List<PublicationDTO>` | `getLinkedPublications()` |
    `String` | `getName()` |
    `List<String>` | `getNotAllowedDownloads()` |
    `String` | `getUpdateDate()` |
    `String` | `getUpdater()` |
    `String` | `getVersion()` |
    `int` | `getViewsNumber()` |
    `String` | `getVignette()` |
    `boolean` | `isDraft()` |
    `boolean` | `isPublishable()` |
    `void` | `setCommentsNumber​(int commentsNumber)` |
    `void` | `setContent​(boolean content)` |
    `void` | `setCreationDate​(String creationDate)` |
    `void` | `setCreator​(String creator)` |
    `void` | `setDescription​(String description)` |
    `void` | `setDraft​(boolean draft)` |
    `void` | `setInstanceId​(String instanceId)` |
    `void` | `setLinkedPublications​(List<PublicationDTO> linkedPublications)` |
    `void` | `setName​(String name)` |
    `void` | `setNotAllowedDownloads​(List<String> notAllowedDownloads)` |
    `void` | `setPublishable​(boolean publishable)` |
    `void` | `setUpdateDate​(String updateDate)` |
    `void` | `setUpdater​(String updater)` |
    `void` | `setVersion​(String version)` |
    `void` | `setViewsNumber​(int viewsNumber)` |
    `void` | `setVignette​(String vignette)` |

    - ### Methods inherited from class org.silverpeas.mobile.shared.dto.BaseDTO

      `getId, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PublicationDTO

          public PublicationDTO()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName​(String name)

    - #### compareTo

          public int compareTo​(PublicationDTO o)

      Specified by:
        `compareTo` in interface `Comparable<PublicationDTO>`

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription​(String description)

    - #### getVersion

          public String getVersion()

    - #### setVersion

          public void setVersion​(String version)

    - #### getCreator

          public String getCreator()

    - #### setCreator

          public void setCreator​(String creator)

    - #### getUpdater

          public String getUpdater()

    - #### setUpdater

          public void setUpdater​(String updater)

    - #### getUpdateDate

          public String getUpdateDate()

    - #### setUpdateDate

          public void setUpdateDate​(String updateDate)

    - #### getCommentsNumber

          public int getCommentsNumber()

    - #### setCommentsNumber

          public void setCommentsNumber​(int commentsNumber)

    - #### getInstanceId

          public String getInstanceId()

    - #### setInstanceId

          public void setInstanceId​(String instanceId)

    - #### setContent

          public void setContent​(boolean content)

    - #### getContent

          public boolean getContent()

    - #### getLinkedPublications

          public List<PublicationDTO> getLinkedPublications()

    - #### setLinkedPublications

          public void setLinkedPublications​(List<PublicationDTO> linkedPublications)

    - #### getCreationDate

          public String getCreationDate()

    - #### setCreationDate

          public void setCreationDate​(String creationDate)

    - #### getVignette

          public String getVignette()

    - #### setVignette

          public void setVignette​(String vignette)

    - #### getViewsNumber

          public int getViewsNumber()

    - #### setViewsNumber

          public void setViewsNumber​(int viewsNumber)

    - #### setNotAllowedDownloads

          public void setNotAllowedDownloads​(List<String> notAllowedDownloads)

    - #### getNotAllowedDownloads

          public List<String> getNotAllowedDownloads()

    - #### isDraft

          public boolean isDraft()

    - #### setDraft

          public void setDraft​(boolean draft)

    - #### isPublishable

          public boolean isPublishable()

    - #### setPublishable

          public void setPublishable​(boolean publishable)